godo.Snapshots.Get()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.Snapshots.Get(ctx context.Context, snapshotID string) (*godo.Snapshot, *godo.Response, error)

Description

Get retrieves a snapshot by id.

This method sends a GET request to /v2/snapshots/{}.

Parameters

snapshotID string required

Returns

*godo.Snapshot
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.Snapshot

Snapshot represents a DigitalOcean Snapshot

ID string

Omitted from JSON when empty. JSON key: id

Name string

Omitted from JSON when empty. JSON key: name

ResourceID string

Omitted from JSON when empty. JSON key: resource_id

ResourceType string

Omitted from JSON when empty. JSON key: resource_type

Regions []string

Omitted from JSON when empty. JSON key: regions

MinDiskSize int

Omitted from JSON when empty. JSON key: min_disk_size

SizeGigaBytes float64

Omitted from JSON when empty. JSON key: size_gigabytes

Created string

Omitted from JSON when empty. JSON key: created_at

Tags []string

Omitted from JSON when empty. JSON key: tags

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.Snapshots.Get(ctx, "<your-snapshot-id>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See GET /v2/snapshots/{} in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.